html {
    scroll-behavior: smooth;
}

body {
    background-color: #fff;
    color: #1f1f1f;
    margin: auto;
    text-align: center;
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
}

/* h1, h2, h3, h4 {
    font-family: 'Inria Serif', serif;
} */

h3 {
    font-size: 35px;
    margin-top: 0;
    margin-bottom: 10px;
}

p {
    line-height: 1.5;
}

.main-wrapper {
    position: relative;
}

.main-wrapper::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 10px;
    height: 100%;
    background: linear-gradient(to top, #E2C047 33.3%, #DC3D33ed 33.3%, #DC3D33 66.6%, #323232 66.6%);
    background-position: 0 0;
    background-repeat: no-repeat;
    z-index: 3;
}

header {
    margin: auto;
    padding-top: 33px;
    padding-bottom: 156px;
    background-image: linear-gradient(180deg, rgba(0, 0, 0, 0.75) 0%, rgba(0, 0, 0, 0) 100%), url('images/header.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    min-height: 40vh;
    position: relative;
    
    max-width: 1920px;
}

@media (min-width: 992px) {
    header {
        background-attachment: fixed;
    }
}


header::before {
    content: '';
    position: absolute;
    bottom: -1px;
    left: 0;
    width: 100%;
    height: 180px;
    background: url('images/header-mask.png') no-repeat center bottom;
    z-index: 1;
}

.header-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    z-index: 2;
    min-height: fit-content;
    max-height: 90vh;
}

.topbar {
    display: flex;
    flex-wrap: wrap;
    color: #fff;
    padding: 0 15%;
    justify-content: center;
    gap: 10px;
}

.topbar p {
    text-align: center;
}

.topbar p.name {
    color: #F1FAFE;
    font-weight: 300;
}

.topbar p.name::after {
    content: '';
    display: block;
    width: 100%;
    margin-top: 5px;
    height: 5px;
    background: linear-gradient(to left, #E2C047 33.3%,
        #DC3D33ed 33.3%,
        #DC3D33 66.6%,
        #323232 66.6%);
}

.red {
    color: rgb(231, 43, 43);
    font-style: italic;
}



header div {
    display: flex;
    justify-content: space-between;
}

header h1 {
    margin-bottom: 30px;
    padding: 10px 25px;
    text-shadow: 5px 5px 5px rgba(31, 31, 31, 0.05);
    font-size: 42px;
}

header h1 span {
    display: block;
}

header h1 .first-line {
    color: white;
    font-weight: 300;
}

header h1 .second-line {
    color: #ffdf6f;
    font-style: italic;
    font-family: 'Inria Serif', serif;
    font-weight: 700;
}

header h2 {
    display: inline-block;
    margin-top: 0;
    font-size: 18px;
    background-color: rgb(174, 252, 252);
    padding: 5px 15px;
    font-weight: 300;
    border-radius: 0 0 27px 27px;
    margin: 0;
    border-top: 2px solid rgb(157, 218, 222);
}

/* NAV */
nav ul {
    display: flex;
    flex-wrap: wrap;
    color: #fff;
    justify-content: center;
    gap: 20px;
    margin-left: 0;
    padding: 0 20px;
}

nav li {
    list-style-type: none;
}

nav li:nth-child(2) a {
    background-color: #dc3d33;
    border: 1px solid transparent;
}

nav a {
    color: #fff;
    text-decoration: none;
    padding: 10px 20px;
    display: block;
    border-radius: 20px;
    border: 1px solid rgba(151, 151, 151, 0.768);
    background-color: #1f1f1f94;
    transition: all 0.3s ease;
    box-shadow: 0 3px 30px rgba(0, 0, 0, 0.15);
}

nav a:hover,
nav a:focus {
    background-color: #e2c047 !important;
    color: #323232;
    transform: scale(0.92);
    box-shadow: 0 0 5px rgba(226, 192, 71, 0.2);
}

#services {
    padding-top: 20px;
    padding-left: 15px;
    padding-right: 15px;
    padding-bottom: 25px;
}

#services::after {
    content: '';
    position: relative;
    display: block;
    margin: 50px auto;
    width: 59px;
    height: 60px;
    background-image: url('images/arrow-down.png');
    background-repeat: no-repeat;
    background-size: contain;
}

.services__container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    max-width: 1102px;
    width: 100%;
    margin: auto;
    padding-bottom: 20px;
    gap: 40px;
}

#services h2 {
    font-weight: 300;
} 

.services__item {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 0 0 calc(33.3% - 40px);
}

.services__item span {
    padding: 0 15px;
}

.services__item .services__item--img {
    width: 268px;
    height: 226px;
    filter: drop-shadow(0 3px 30px rgba(0, 0, 0, 0.15));
    margin-bottom: 20px;
    background-size: cover;
    background-repeat: no-repeat;
}

.services__item--img,
.services__item--text {
    transition: all 0.3s ease;
}

.services__item:hover .services__item--img,
.services__item:focus .services__item--img {
    transform: scale(0.95);
    filter: none;
}

.services__item:hover .services__item--text,
.services__item:focus .services__item--text {
    font-weight: 600;
    transform: scale(1.1);
}


/* MAIN */
main {
    display: flex;
    flex-wrap: wrap;
    max-width: 1050px;
    justify-content: center;
    margin: auto;
    gap: 20px;
    padding-top: 50px;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
}


.box_wrap {
    padding: 20px 15px;
    flex: 0 0 auto;
    width: 100%;
    max-width: 480px;
    box-shadow: 0 3px 30px rgba(0, 0, 0, 0.15);
}

@media (min-width: 992px) {
    .box_wrap {
        padding: 25px 20px;
        flex: 0 0 calc(50% - 50px);
        max-width: 510px;
        box-shadow: 0 3px 30px rgba(0, 0, 0, 0.15);
        transition: transform 0.3s ease;
    }

    .box_wrap:hover,
    .box_wrap:focus {
        transform: scale(1.05);
    }
}

.box_wrap i {
    font-style: normal;
}

.box_wrap#aboutme {
    background-color: #fff;
    color: #323232;
}
.box_wrap#aboutme h3 {
    color: #dc3d33;
}
.box_wrap#lesson-going {
    background-color: #323232;
    color: #f1fafe;
}
.box_wrap#lesson-going i {
    display: inline-block;
    width: 39px;
    height: 33px;
    background-image: url('images/bublina.png');
    text-align: center;
    font-size: 16px;
    line-height: 28px;
}
.box_wrap#lesson-content {
    background-color: #dc3d33;
    color: #fff;
}
.box_wrap#lesson-content i {
    display: inline-block;
    width: 39px;
    height: 33px;
    background-image: url('images/bublina2.png');
}
.box_wrap#faq {
    background-color: #f7d147;
    color: #323232;
}

.box_wrap#faq i {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    min-width: 50px;
    height: 50px;
    font-size: 26px;
    background-color: #1f1f1f;
    border-radius: 50%;
    padding: 10px;
    color: #F1FAFE;
}

.box_wrap#faq p.question{
    font-weight: 700;
    margin-bottom: 0;
}

.box_wrap#faq p.answer {
    margin-top: 5px;
}


.box_content img {
    margin-top: 15px;
}

.profile-photo {
    filter: drop-shadow(0 3px 30px rgba(0, 0, 0, 0.15));
}

/* CONTACT */
.box_content h3 {
    display: inline-block;
    text-shadow: 0px 0px 5px #1f1f1f25;
    font-family: 'Inria Serif', serif;
}

.box-content p {
    line-height: 1.5;
}

.contact {
    width: 100%;
    max-width: 1920px;
    margin: auto;
    display: flex;
    justify-content: flex-end;
    background-image: url('images/form-bg.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    z-index: -1;
}

.contact__form {
    width: 100%;
    padding: 20px;
    color: white;
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (min-width: 992px) {
    .contact__form {
        width: 50%;
    }
}

.contact__form::before {
    content: "";
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0);
    backdrop-filter: blur(5px) brightness(60%);
    -webkit-backdrop-filter: blur(10px) brightness(60%);
    background-size: 100% auto;
}

.contact__form h2 {
    font-family: 'Inria Serif', serif;
    font-weight: 300;
}

.contact__form--content {
    width: 100%;
    max-width: 480px;
}




footer {
    padding: 50px;
    background-color: #f7d147;
}

footer p {
    color: #323232;
}

footer a {
    color: #323232;
}
footer a:hover {
    text-decoration-thickness: 0.13em;
    background-color: #323232;
    color: #f7d147;
}

form {
    text-align: left;
}

.gdpr-check {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    text-align: center;
    margin-top: 15px;
}

.gdpr-check input {
    width: 20px;
    height: 20px;
}

.gdpr-check input:focus-visible {
    transform: scale(1.1);
    border-radius: 2px;
    outline: 2px solid #4285F4;
}

.gdpr-check input:focus-visible+label {
    border: 2px solid #4285F4;
    color: #4285F4;
    border-radius: 4px;
}

.gdpr-check label {
    margin: 0;
    cursor: pointer;
    display: inline-block;
}

form input:not([type="checkbox"]),
form textarea {
    background-color: rgba(50, 50, 50, 0.72);
    height: 40px;
    width: calc(100% - 20px);
    max-width: 480px;
    font-size: 18px;
    border: 1px solid transparent;
    margin-top: 7px;
    color: #fff;
    padding: 5px 10px;
    border-radius: 5px;
    transition: transform 0.3s ease;
    font-family: 'Roboto', sans-serif;
    transition: transform 0.3s ease;
}

form input:focus-visible,
form textarea:focus-visible {
    box-shadow: none;
    background-color: rgba(50, 50, 50, 0.45);
    border: 1px solid rgba(0, 0, 0, 0.3);
    outline: none;
}

@media (min-width: 992px) {
    form input:focus-visible,
    form textarea:focus-visible {
        transform: scale(1.05);
    }
}

form textarea {
    padding: 10px;
    min-height: 50px;
    height: fit-content;
}

form label {
    font-weight: 600;
    font-size: 18px;
    text-align: left !important;
    margin-bottom: 10px;
}

.btn {
    border: none;
    background-color: #dc3d33;
    cursor: pointer;
    color: #ffffff;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.169);
    text-transform: uppercase;
    height: 50px;
    width: calc(100% - 40px);
    font-size: 20px;
    padding: 10px 30px;
    border-radius: 20px;
    transition: all 0.3s ease;
    margin: 20px;
}

.btn:hover,
.btn:focus-visible {
    box-shadow: none;
    background-color: #e2c047 !important;
    color: #323232;
    transform: scale(0.92);
    box-shadow: 0 0 5px rgba(226, 192, 71, 0.2);
}

#confirmation {
    position: absolute;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    font-size: 22px;
    background-color: rgba(226, 192, 71, 0.8);
    color:#1f1f1f;
    z-index: 3;
    text-align: center;
    box-shadow: 0 0 5px rgba(128, 128, 128, 0.2);
}

@media (min-width: 992px) {
    #confirmation {
        /* left: calc(50% - 330px); */
    }    
}


#confirmation::first-line {
    font-weight: 700;
}

#confirmation .progress-bar {
    width: 0%;
    height: 10px;
    background-color: #4CAF50;
    animation: progress-bar 10s linear forwards;
}

@keyframes progress-bar {
    0% {
        width: 0%;
    }

    100% {
        width: 100%;
    }
}

#hideBtn {
    background-color: #555;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

#hideBtn:hover {
    background-color: #ccc;
    color: #1f1f1f;
}

.error {
    border-color: red !important;

    animation: inputError 0.7s ease-in-out;
}

@keyframes inputError {
    0% {
        outline-color: transparent;
    }

    50% {
        outline-color: #ff8c8c;
        color: #dc3d33;
    }

    100% {
        outline-color: transparent;
    }
}

.error-msg {
    color: rgb(236, 110, 110);
    font-size: 14px;
    margin-top: 5px;
    margin-left: 15px;
}